Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

modules/gem: work around "default:" in version list #57331

Conversation

Projects
None yet
2 participants
@vladimir-mencl-eresearch
Copy link
Contributor

commented Jun 4, 2019

SUMMARY

Fix parsing of installed version in get_installed_versions:

gem query output of

bundler (default: 1.17.2, 1.17.1)

Gets parsed as:

['default:', '1.17.1']

Fix this by skipping "default: " if present in the list of versions - by adding
it as an optional part of the regex, grouped as a non-capturing group to keep
the index of existing group.

ISSUE TYPE
  • Bugfix Pull Request
COMPONENT NAME

gem

ADDITIONAL INFORMATION

Included in summary.

modules/gem: work around "default:" in version list
Fix parsing of installed version in get_installed_versions:

gem query output of

    bundler (default: 1.17.2, 1.17.1)

Gets parsed as:

    ['default:', '1.17.1']

Fix this by skipping "default: " if present in the list of versions - by adding
it as an optional part of the regex, grouped as a non-capturing group to keep
the index of existing group.
@ansibot

This comment has been minimized.

Copy link
Contributor

commented Jun 4, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.